Bug 174281 - [PATCH] multimedia/smplayer update to version 0.8.2
Summary: [PATCH] multimedia/smplayer update to version 0.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-08 19:50 UTC by Pawel Pekala
Modified: 2012-12-27 19:16 UTC (History)
0 users

See Also:


Attachments
file.diff (2.25 KB, patch)
2012-12-08 19:50 UTC, Pawel Pekala
no flags Details | Diff
smplayer.diff (2.25 KB, patch)
2012-12-27 18:05 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2012-12-08 19:50:00 UTC
Update to version 0.8.2

This fixes youtube playback, it's needed for my multimedia/smtube port.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-08 19:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pawel Pekala freebsd_committer 2012-12-27 18:05:17 UTC
Update to version 0.8.3 with another YouTube fixes...

-- 
pozdrawiam / with regards
Pawe³ Pêkala
Comment 3 Dennis Herrmann freebsd_committer 2012-12-27 18:16:23 UTC
State Changed
From-To: open->feedback

Hey, the patch looks good :) I am very busy atm.  Please commit it for 
me ;) 

-dhn
Comment 4 dfilter service freebsd_committer 2012-12-27 18:45:00 UTC
Author: pawel
Date: Thu Dec 27 18:44:50 2012
New Revision: 309550
URL: http://svnweb.freebsd.org/changeset/ports/309550

Log:
  - Update to version 0.8.3 which fixes YouTube playback
  - Remove leading article from COMMENT
  
  PR:		ports/174281
  Submitted by:	myself
  Approved by:	dhn (maintainer)

Modified:
  head/multimedia/smplayer/Makefile
  head/multimedia/smplayer/distinfo
  head/multimedia/smplayer/pkg-plist

Modified: head/multimedia/smplayer/Makefile
==============================================================================
--- head/multimedia/smplayer/Makefile	Thu Dec 27 18:09:17 2012	(r309549)
+++ head/multimedia/smplayer/Makefile	Thu Dec 27 18:44:50 2012	(r309550)
@@ -1,18 +1,13 @@
-# New ports collection makefile for:	smplayer
-# Date created:				13 Jun, 2007
-# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong Liu <relaxbsd@gmail.com>
-#
+# Created by: Diego Depaoli <trebestie@gmail.com> and Yinghong Liu <relaxbsd@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	smplayer
-DISTVERSION=	0.8.0
-PORTREVISION=	1
+DISTVERSION=	0.8.3
 CATEGORIES=	multimedia audio kde
 MASTER_SITES=	SF/${PORTNAME}/SMPlayer/${PORTVERSION}
 
 MAINTAINER=	dhn@FreeBSD.org
-COMMENT=	A complete front-end based on QT4 for mplayer
+COMMENT=	Complete front-end based on Qt4 for mplayer
 
 RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer \
 		${LOCALBASE}/share/smplayer/themes:${PORTSDIR}/multimedia/smplayer-themes

Modified: head/multimedia/smplayer/distinfo
==============================================================================
--- head/multimedia/smplayer/distinfo	Thu Dec 27 18:09:17 2012	(r309549)
+++ head/multimedia/smplayer/distinfo	Thu Dec 27 18:44:50 2012	(r309550)
@@ -1,2 +1,2 @@
-SHA256 (smplayer-0.8.0.tar.bz2) = 208ad155da3bbcb3924549c7ba81aa7280b59adfdb92adbec5ac7ebc2944576f
-SIZE (smplayer-0.8.0.tar.bz2) = 2815007
+SHA256 (smplayer-0.8.3.tar.bz2) = 835141111697c9e5b68b6dc5c96b4b38c1c0eed41f02d42ff1467e932a996435
+SIZE (smplayer-0.8.3.tar.bz2) = 3201389

Modified: head/multimedia/smplayer/pkg-plist
==============================================================================
--- head/multimedia/smplayer/pkg-plist	Thu Dec 27 18:09:17 2012	(r309549)
+++ head/multimedia/smplayer/pkg-plist	Thu Dec 27 18:44:50 2012	(r309550)
@@ -1,10 +1,15 @@
 bin/smplayer
 share/applications/smplayer.desktop
 share/applications/smplayer_enqueue.desktop
+share/icons/hicolor/128x128/apps/smplayer.png
 share/icons/hicolor/16x16/apps/smplayer.png
+share/icons/hicolor/192x192/apps/smplayer.png
 share/icons/hicolor/22x22/apps/smplayer.png
+share/icons/hicolor/256x256/apps/smplayer.png
 share/icons/hicolor/32x32/apps/smplayer.png
+share/icons/hicolor/512x512/apps/smplayer.png
 share/icons/hicolor/64x64/apps/smplayer.png
+share/icons/hicolor/scalable/apps/smplayer.svg
 %%DATADIR%%/input.conf
 %%DATADIR%%/shortcuts/default.keys
 %%DATADIR%%/translations/smplayer_ar_SY.qm
@@ -48,4 +53,6 @@ share/icons/hicolor/64x64/apps/smplayer.
 @dirrm %%DATADIR%%/translations
 @dirrm %%DATADIR%%/shortcuts
 @dirrmtry %%DATADIR%%
+@dirrmtry share/icons/hicolor/512x512/apps
+@dirrmtry share/icons/hicolor/512x512
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2012-12-27 19:16:24 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!